gfs2_grow(8)

NAME
gfs2_grow - Expand a GFS2 filesystem

SYNOPSIS
gfs2_grow [OPTION]... <DEVICE|MOUNTPOINT>...

DESCRIPTION
gfs2_grow expands a GFS2 filesystem after the device upon which the filesystem resides has also been expanded. gfs2_grow expands the GFS2 filesystem to utilize any unused space between the current end of the filesystem and the end of the block device. When this operation is complete, the resource group index for the filesystem is updated so that all nodes in the cluster can use the extra storage space that has been added.

See lvmlockd(8) for the procedure to extend and refresh the logical volume prior to running gfs2_grow.

The DEVICE or MOUNTPOINT arguments must be paths to mounted filesystems; expansion of unmounted filesystems is not supported. gfs2_grow need only be run on one node in the cluster. The other nodes will see the expansion has occurred and automatically start to use the newly available space.

gfs2_grow must be run as the superuser. When the filesystem cannot be resized due to detected errors, gfs2_grow will leave the filesystem in a consistent state.

OPTIONS

-D  Print out debugging information about the filesystem layout.

-h  Prints out a short usage message and exits.

-q  Be quiet. Don't print anything.

-T  Test. Do all calculations, but do not write any data to the disk and do not expand the filesystem. This is used to discover what the tool would have done were it run without this flag. This option can be used to display the current state of a mounted GFS2 filesystem.

-V  Version. Print out version information, then exit.

NOTES

Shrinking GFS2 filesystems is currently unsupported.

SEE ALSO
mkfs.gfs2(8) gfs2_jadd(8) lvextend(8) lvmlockd(8)